Attributable (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util
Interface Attributable

All Known Implementing Classes:
  OMEvent

    public interface Attributable

An object that has attributes.

Author:
  dietrick

Method Summary
`void` | `clearAttributes()` Tells the object to clear all of its attributes.
`java.lang.Object` | `getAttribute(java.lang.Object key)` Get the attribute stored under a key.
`java.util.Map<?,?>` | `getAttributes()` Convenience method to allow super class methods access to an attribute table if they are acting as a wrapper.
`void` | `putAttribute(java.lang.Object key, java.lang.Object value)` Put an attribute in the object, the value can be retrieved later via the key.
`void` | `setAttributes(java.util.Map<?,?> map)` Convenience method to allow super class methods access to an attribute table if they are acting as a wrapper.

Method Detail

### putAttribute

    void putAttribute(java.lang.Object key,
                      java.lang.Object value)

  Put an attribute in the object, the value can be retrieved later via the key.

  Parameters:
    `key` - attribute key
    `value` - attribute value

### getAttribute

    java.lang.Object getAttribute(java.lang.Object key)

  Get the attribute stored under a key.

  Parameters:
    `key` - attribute key
  Returns:
    value if found, null if not.

### clearAttributes

    void clearAttributes()

  Tells the object to clear all of its attributes.

### getAttributes

    java.util.Map<?,?> getAttributes()

  Convenience method to allow super class methods access to an attribute table if they are acting as a wrapper.

  Returns:
    Map of all attributes

### setAttributes

    void setAttributes(java.util.Map<?,?> map)

  Convenience method to allow super class methods access to an attribute table if they are acting as a wrapper.

  Parameters:
    `map` - Map of all attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details